# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   momth8_day7_bpm_final
# FileName:      db.py
# Author:       李浩东
# Datetime:     2023/8/7 19:34
# Description:
# 
# ---------------------------------------------------------------------------
import pymysql

from BPM_common.read_ini import READ_INI


class DB:
    def __init__(self):
        read_ini=READ_INI()
        self.conn=pymysql.connect(
            host=read_ini.get_sql_config("host"),
            port=int(read_ini.get_sql_config("port")),
            user=read_ini.get_sql_config("user"),
            password=read_ini.get_sql_config("pwd"),
            database=read_ini.get_sql_config("database")
        )
        self.cursor=self.conn.cursor()

    def close(self):
        self.cursor.close()
        self.conn.close()

    def delete(self,sql_statement):
        self.cursor.execute(sql_statement)
        self.conn.commit()

    def select(self,sql_statement):
        self.cursor.execute(sql_statement)
        select_result=self.cursor.fetchall()
        if select_result:
            return select_result[0][0]

if __name__ == '__main__':
    db = DB()
    sql = """SELECT ID_ FROM uc_demension WHERE `CODE_`="test56_dem";"""
    print(db.select(sql))