# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   momth8_day7_bpm_final
# FileName:      conftest.py
# Author:       李浩东
# Datetime:     2023/8/7 19:52
# Description:
# 
# ---------------------------------------------------------------------------

import pytest

from BPM_common.db import DB
from BPM_method.request_method import REQUEST_METHOD


@pytest.fixture(scope="session")
def request_fixture():
    req=REQUEST_METHOD()
    yield req

@pytest.fixture(scope="session")
def db_fixture():
    db=DB()
    yield db
    db.close()

def pytest_collection_modifyitems(items):
    # item表示每个测试用例，解决用例名称中文显示问题
    for item in items:
        item.name = item.name.encode("utf-8").decode("unicode-escape")
        item._nodeid = item._nodeid.encode("utf-8").decode("unicode-escape")