# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   momth8_day7_bpm_final
# FileName:      read_ini.py
# Author:       李浩东
# Datetime:     2023/8/7 18:37
# Description:
# 
# ---------------------------------------------------------------------------
import configparser
import os.path


class READ_INI:
    def __init__(self):
        self.config_path=os.path.join(os.path.dirname(os.path.dirname(__file__)),"BPM_config")
        config_ini_path=os.path.join(self.config_path,"config.ini")
        self.read_ini=configparser.ConfigParser()
        self.read_ini.read(config_ini_path,encoding="utf-8")

    def get_filepath(self,key):
        filename_key=self.read_ini.get("filename",key).strip()
        return os.path.join(self.config_path,filename_key)

    def get_table_name(self,key):
        return self.read_ini.get("table_name",key).strip()

    def get_host(self,key):
        return self.read_ini.get("host",key).strip()

    def get_sql_config(self,key):
        return self.read_ini.get("sql_config",key).strip()


if __name__ == '__main__':
    READ_INI().__init__()